@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css');
@import url('https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.min.css');
@import url('cursor.css');
@import url('loader.css');
@import url('header.css');
@import url('buttons.css');
@import url('footer.css');
@import url('menu.css');
@import url('send-msg.css');
@import url('slides.css');
@import url('modal.css');

html {
    scroll-behavior: smooth;
}
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    background: transparent;
    -webkit-tap-highlight-color: var(--main-trs);
    font-family: var(--typo);
}
*::after,
*::before {
    box-sizing: border-box;
}
*::selection {
    background: var(--main-trs);
}
.noscroll {
    overflow: hidden;
}
a {
    text-decoration: none;
}
.pnt {
    cursor: pointer;
}
.main {
    display: flex;
    flex-direction: column;
    /* margin-top: var(--max-header); */
}
.main section > *:not(.fullw) {
    max-width: var(--max-w);
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding: 0px 12px;
}
section {
    width: 100%;
    padding-block-start: calc(var(--ts3) * 2);
    padding-block-end: calc(var(--ts3) * 2);
}
section h1 {
    background-color: transparent;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    font-size: var(--ts1);
    color: var(--main-700);
    width: fit-content;
    position: relative;
    padding: calc(var(--ts2) / 2) calc(var(--ts2) / 1);
    padding-left: 0;
    width: 100%;
    text-align: center;
}
section h2 {
    font-family: var(--typo);
    font-size: var(--ts3);
    color: var(--main-500);
}
hr {
    border-style: solid;
    border-top-color: var(--main-600);
    border-width: var(--borderWidth) 0px 0px 0px;
    margin-block-start: 30px;
    margin-block-end: 48px;
}
section.title {
    margin-block-start: var(--max-header);
}
.return {
    margin-block-end: 120px;
}
.return.error {
    margin-block-start: calc(var(--max-header) * 2);
}
.return .btn-g {
    padding-left: 24px;
    padding-right: 36px;
    width: fit-content;
}
.return .msg-return {
    display: flex;
    align-items: center;
    flex-direction: column;
}
.return .msg-return .btn-g strong {
    padding-inline-start: 0.3em;
}
.return .alert {
    font-size: var(--ts2);
    font-family: var(--typo);
    font-weight: bold;
    margin-block-end: var(--ts2);
    color: red;
    text-decoration: underline;
}
.return .btn-g i {
    margin-inline-end: 16px;
}
.return .bar {
    height: var(--ts6);
    margin-block-start: 16px;
    margin-block-end: 36px;
}
.return .bar .bar-return {
    width: 100%;
    animation-name: bar-to-left;
    animation-fill-mode: forwards;
    background: var(--main-200);
    height: 100%;
    transform-origin: center left;
    animation-timing-function: linear;
}
@keyframes bar-to-left {
    from {
        width: 100%;
    }
    to {
        width: 0%;
    }
}
.ac-card .ac-content.over {
    position: absolute;
    visibility: hidden;
}
.box-alert {
    position: fixed;
    bottom: 0px;
    left: 0px;
    right: 0px;
    width: 100%;
    padding-top: 36px;
    padding-left: 36px;
    padding-right: 36px;
    padding-bottom: 16px;
    z-index: 21;
    display: flex;
    align-items: flex-start;
    color: white;
    font-family: var(--typo);
    font-size: var(--ts3);
    transition: all var(--transition-s);
}
.box-alert.accepted {
    transform: translateY(120%);
}
.box-alert::before {
    content: "";
    bottom: 0px;
    left: 0px;
    right: 0px;
    top: 0px;
    height: 100%;
    width: 100%;
    position: absolute;
    background-color: var(--main-600);
    opacity: 0.9;
    z-index: -1;
}
.box-alert .msg {
    flex-grow: 1;
    margin-block-end: 26px;
    font-size: var(--ts6);
}
.box-alert .options {
    display: flex;
}
.box-alert .options > div {
    padding: 6px 16px;
    white-space: nowrap;
    text-align: center;
    border-width: 2px;
    border-style: solid;
    border-color: white;
    font-size: var(--ts5);
    transition: all var(--transition-g);
}
.box-alert .options .info {
    border-color: rgba(255, 255, 255, 0.15);
}
.box-alert .options > div:hover {
    background-color: white;
    border-color: white;
    color: var(--main-500);
}
@media screen and (min-width: 800px) {
    .box-alert {
        flex-direction: row
    }
    .box-alert .options {
        flex-direction: row;
    }
    .box-alert .options > div {
        margin-inline-start: 8px;
    }
}
@media screen and (max-width: 800px) {
    .box-alert {
        flex-direction: column
    }
}
@media screen and (max-width: 800px) and (min-width: 600px) { 
    .box-alert .options {
        flex-direction: row;
        justify-content: center;
        width: 100%;
        gap: 8px;
    }
}
@media screen and (max-width: 600px) and (min-width: 100px) {
    .box-alert::before {
        opacity: 1;
    }
    .box-alert .options {
        flex-direction: column;
        width: 100%;
    }
    .box-alert .options > div {
        margin-block-end: 8px;
        flex-grow: 1;
    }
}
.main > .picture {
    margin-block-start: 0;
    padding-block-start: 0;
}
.main > .picture .back {
    position: relative;
    background-size: cover;
    background-attachment: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
}
.main > .picture .back::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(0deg, #5b5eff59, transparent);
}
.main > .picture .back .h1 {
    z-index: 2;
    text-align: center;
    font-family: var(--typo);
    color: white;
    padding: var(--ts6) calc(var(--ts1) * 2);
    border: var(--borderWidth);
    border-style: solid;
    border-color: white;
    font-size: var(--ts1);
    transform: translateY(25%);
    box-shadow: 0px 2px 15px 7px rgba(0, 0, 0, 0.239);
    text-shadow: 0px 0px 8px rgba(0, 0, 0, 0.831);
    background: rgba(0, 0, 0, 0.188);
}
.main section:last-child {
    padding-block-end: 80px;
}
.back-pattern {
    position: relative;
}
.back-pattern::before {
    content: "";
    /*https://placekitten.com/1200/800*/
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 0;
    background-attachment: fixed;
    background-repeat-x: repeat;
    background-repeat-y: repeat;
    background-size: 130px;
}
.back-pattern:not(.ptr-white)::before {
    background-image: url(/webstatic/pattern_shop.png);
    opacity: 0.1;
}
.back-pattern.ptr-white::before {
    background-image: url(/webstatic/pattern_shop-white.png);
    opacity: 0.9;
}
.back-pattern > * {
    position: relative;
    z-index: 1;
}
@media screen and (min-width: 800px) {
    .screen {
        min-height: 80vh;
        height: 80vh;
        max-height: 80vh;
    }
}
@media screen and (min-width: 700px) and (max-width: 800px)  {
    .screen {
        min-height: 50vh;
        height: 180.25vw;
        max-height: 60vh;
    }
}
@media screen and (max-width: 700px) {
    .screen {
        min-height: 50vh;
        height: 120.25vw;
        max-height: 50vh;
    }
}
[autoplay-back] {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    height: 100%;
    width: 100% !important;
    object-fit: cover;
    z-index: 1;
    min-width: 100%;
    max-width: 100% !important;
    padding: 0 !important;
}
[viewport=true] {
    transition-property: all !important;
    transition-duration: 0.8s !important;
    transition-delay: 0.3s !important;
    transition-timing-function: ease-in !important;
}
[viewport][data-an=zoom] {
    opacity: 0;
    transform: scale(0.7);
}
[viewport=true][data-an=zoom] {
    opacity: 1;
    transform: scale(1);
}
[viewport][data-an=top] {
    opacity: 0;
    transform: translateY(250%);
}
[viewport=true][data-an=top] {
    opacity: 1;
    transform: translateY(0);
}
a.down-report {
    position: fixed;
    bottom: 20px;
    left: 30px;
    padding: 10px 20px;
    background-color: #000000db;
    color: white;
}
a.down-report:hover {
    text-decoration: underline;
}
.cursor {
    display: none;
}
.log-fix {
    position: fixed;
    top: 20px;
    right: 20px;
    left: auto;
    width: 100%;
    z-index: 55555;
    max-width: 280px;
    overflow-y: scroll;
    overflow-x: hidden;
    background-color: white;
    border: 1px solid black;
    max-height: 40vh;
}
.log-fix > * {
    overflow-x: auto;
}
.log-fix > *:not(:last-child) {
    border-bottom: 1px solid rgb(168, 168, 168);
}
.log-fix > *:last-child {
    margin-bottom: 20px;
}
.log-fix span {
    display: block;
    white-space: pre;
    font-family: monospace;
    color:rgb(141, 141, 141);
    padding: 4px 6px;
}
.log-fix .cc {
    font-style: italic;
    padding: 6px 6px;
}